Line Items

A line item is a component of an invoice which represents an individual entry that details a specific good or service provided by the seller to the buyer.

To find out more about managing invoices and line items, visit our Help documentation: Creating and Managing Invoices.

Following diagram shows line items in our data hierarchy:

InvoiceLine ItemLine ItemTax RateTax RateServiceService Type

Setting tax data

In an old workflow, adding tax data to a line item requires two values: tax_name and tax_value. For example, if you wanted to add a VAT 15%, you would send tax_name: ‘VAT’ and tax_value: 15.

In a new workflow (available for customers on our BETA program for now), you should send tax_rate_id instead, which points to a Tax rate object. So, in order to set VAT 15% to your line item, you would first need to have a tax rate object with those values and then send its ID to the desired line item.

Attributes

amount object
Response

The total line amount (unit price × quantity, minus discount) in the invoice's currency.

amount_default object
Response

The total line amount converted to the organization's default currency.

amount_normalized object
Response

The total line amount converted to the invoice currency.

amount_tax object
Response

The tax portion of this line item's amount in the invoice's currency.

amount_tax_default object
Response

The tax portion of this line item's amount converted to the organization's default currency.

amount_tax_normalized object
Response

The tax portion of this line item's amount converted to the invoice currency.

amount_with_tax object
Response

The total line amount including tax in the invoice's currency.

amount_with_tax_default object
Response

The amount with tax converted to the organization's default currency.

amount_with_tax_normalized object
Response

The amount with tax converted to the invoice currency.

company_id integer
Parameter `filter`

ID of the company (client) on the invoice this line item belongs to.

creator_id integer
Parameter `filter`

ID of the person who created this line item.

currency object
Response

The currency of this line item, inherited from the associated invoice.

currency_default object
Response

The organization's default currency for this line item.

currency_normalized object
Response

The invoice's currency for this line item.

discount number
Response Request Parameter `filter`

The discount applied to this line item, expressed as a percentage (0–100).

expense expense
Response

The project expense linked to this line item, if this line item was generated from an expense.

expense_id integer
Request Parameter `filter`

ID of the project expense linked to this line item, or null if not expense-based.

id integer
Parameter `filter`

Unique identifier of this line item.

invoice invoice
Response

The invoice this line item belongs to.

invoice_id integer
Request Parameter `filter`

ID of the invoice this line item belongs to.

kpd_code kpd code
Response

The KPD classification code assigned to this line item, used for e-invoicing compliance in Croatia.

kpd_code_id integer
Request

ID of the KPD classification code assigned to this line item (used only in Croatia).

organization organization
Response

The organization this line item belongs to.

position integer
Response Request

The display order of this line item within the invoice.

quantity number
Response Request

The quantity of units for this line item; for percentage billing types, expressed as a percentage value.

service service
Response

The budget service linked to this line item, if this line item was generated from a service.

service_id integer
Request Parameter `filter`

ID of the budget service linked to this line item, or null if not service-based.

service_type service type
Response

The service type categorizing this line item.

service_type_id integer
Request Parameter `filter`

ID of the service type categorizing this line item.

tax_name string
Response Request Parameter `filter`

The display name of the tax applied to this line item (e.g. VAT).

tax_rate tax rate
Response

The tax rate applied to this line item.

tax_rate_id integer
Request

ID of the tax rate applied to this line item, or null if tax is not applied.

tax_value number
Response Request Parameter `filter`

The computed tax amount for this line item (amount × tax_value).

unit_id integer
Response Request Parameter `filter` Enum

ID of the unit of measure for this line item (e.g. hour, day, piece).

Enum Values (3 values)

  • 1
    Hour
  • 2
    Piece
  • 3
    Day
unit_price integer
Response Request

The price per unit for this line item in the invoice's currency.

unit_price_default object
Response

The price per unit converted to the organization's default currency.

unit_price_normalized object
Response

The price per unit for this line item in the invoice's currency.

updater_id integer
Parameter `filter`

ID of the person who last updated this line item.